Skip to main content
PATCH
Update event definition

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

eventName
string
required

The unique name of the event definition to update.

Body

application/json
propertyOrder
object[]
required

Specifies the ordering and visibility of event properties when rendered on the CRM timeline activity card.

description
string

A description of the event that will be shown as help text in HubSpot.

detailTemplate
string

The rendering template for the body of the CRM timeline activity card.

headerTemplate
string

The rendering template for the header of the CRM timeline activity card.

label
string

Human readable label for the event. Used in HubSpot UI.

Response

successful operation

archived
boolean
required

A boolean indicating whether the event type is archived.

associations
object[]
required

An array of association definitions related to the event type.

fullyQualifiedName
string
required

A string representing the fully qualified name of the event type.

id
string
required

A string representing the unique identifier of the event type.

labels
object
required
name
string
required

A string representing the name of the event type.

objectTypeId
string
required

A string representing the object type ID associated with the event type.

properties
object[]
required

An array of property objects associated with the event type.

comboEventRules
object
createdAt
string<date-time>

A string representing the date and time when the event type was created, in ISO 8601 format.

createdUserId
integer<int32>

An integer representing the ID of the user who created the event type.

customMatchingId
object
description
string

A string providing a description of the event type.

detailTemplate
string

The rendering template for the body of the CRM timeline activity card.

headerTemplate
string

The rendering template for the header of the CRM timeline activity card.

primaryObject
string

A string representing the primary object associated with the event type.

primaryObjectId
string

A string representing the ID of the primary object associated with the event type.

trackingType
enum<string>

A string indicating the tracking type of the event. Valid values include 'VISITED_URL', 'CLICKED_ELEMENT', 'CUSTOM_SCRIPT', 'MANUAL', 'IMPORT', 'PROPERTY_CHANGE', 'COMBO_EVENT'.

Available options:
APP_EVENT,
AUTOCAPTURE_EVENT,
CLICKED_ELEMENT,
COMBO_EVENT,
CUSTOM_SCRIPT,
CUSTOM_SIGNAL,
IMPORT,
MANUAL,
POLLING,
PROPERTY_CHANGE,
VISITED_URL,
WEBHOOK
updatedAt
string<date-time>

A string representing the date and time when the event type was last updated, in ISO 8601 format.

updatedUserId
integer<int32>

An integer representing the ID of the user who last updated the event type.

Last modified on September 9, 2026